/* CSS Var For MainBTN Transition Background */
@property --btn_background_color_t1 {
  syntax: '<color>';
  initial-value: #347358;
  
  inherits: false;
}

@property --btn_background_color_t2 {
  syntax: '<color>';
  initial-value: #296048;
  inherits: false;
}


@font-face {
    font-family: 'Geist Variable VF';
    src: url('../fonts/Geist/GeistVariableVF.woff2') format('woff2');
    font-weight: 1 1000;
    font-stretch: 1% 100%;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Black';
    src: url('../fonts/Geist/Geist-Black.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Bold';
    src: url('../fonts/Geist/Geist-Bold.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Light';
    src: url('../fonts/Geist/Geist-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Medium';
    src: url('../fonts/Geist/Geist-Medium.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Regular';
    src: url('../fonts/Geist/Geist-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Semibold';
    src: url('../fonts/Geist/Geist-SemiBold.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Thin';
    src: url('../fonts/Geist/Geist-Thin.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Ultrablack';
    src: url('../fonts/Geist/Geist-UltraBlack.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Geist Ultralight';
    src: url('../fonts/Geist/Geist-UltraLight.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

:root {
    --maincolor: #347358;
    --maintextcolor: #3b7b5f;

    --btn_background_color_t1 : #347358;
    --btn_background_color_t2: #296048;

    --main_shadow_color: #3473589c;
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html,body {
    margin:0;
    padding:0;
    background-color: var(--mainbackgroundcolor);
    /* font-family: 'Montserrat', sans-serif; */
    font-family: 'Geist Regular', sans-serif;
    height:100%;
}

#page-container {
    transition: 0.2s;   
    background: white;
    min-height: 100%;
}

#page-content {
    display:flex;
    flex-direction: column;
    gap:10px;
    width:100%;
    height:100%;
    align-items: center;
    justify-content: center;
}

#clients_container {
    display: flex;
    gap: 10px;
    width:auto;
    padding:10px;
    width: calc(100% - 20px);
    flex-wrap: wrap;
    flex-direction: column;
    height:100%;
}

/* Blocs [ START ] */

    .BlocContainer {
        display:flex;
        width:100%;
    }

    .Bloc {
        display:flex;
        max-width: 100%;
        width: 100%;
        background: white;
        padding: 5px;
        /*border-radius: 10px;*/
        box-shadow: rgba(50, 50, 93, 0.05) 0px 6px 12px -2px, rgba(0, 0, 0, 0.05) 0px 3px 7px -3px;
    }

    .StatsBloc {
        width: fit-content;
        border-radius: 0px;
        border: 1px solid whitesmoke;
    }

/* Blocs [ END ] */

/* Scroll bar START*/

    ::-webkit-scrollbar {
        width: 6px;
        height: 6px;
    }

    ::-webkit-scrollbar-track {
        box-shadow: inset 0 0 5px rgb(255, 255, 255, 0); 
        border-radius: 10px;
    }

    ::-webkit-scrollbar-thumb {
        background: #c3c3c3; 
        border-radius: 10px;
    }

    ::-webkit-scrollbar-thumb:hover {
        background: #a5a5a5;
    }
    
  /* Scroll bar END*/

.clickable_text {
    display: block;
    text-align: center;
}

.clickable_text a {
    text-decoration: none;
    color: var(--main_text_color);
    font-size: 14px;
    text-decoration: underline var(--fontcolorlink);
    color: var(--fontcolorlink);
}

#MainLoginTitle {
    position: fixed;
    top: 2%;
    height: 180px;
    width: 100%;
    text-align: center;
    font-weight: 900;
    color: var(--main_text_color);
    opacity: 1;
    background : url('https://www.zorder.fr/assets/LogoName.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    opacity:0;
    scale:0.1;
    transition: 0.5s;
}

.simpleTitle {
    color: var(--maincolor);
    background: white;
    padding: 15px;
    border-radius: 10px;
    width: fit-content;
    border: 1px solid rgba(50, 50, 93, 0.05);
    margin: 0;
    box-shadow: rgba(50, 50, 93, 0.10) 0px 6px 12px -2px, rgba(0, 0, 0, 0.25) 0px 3px 7px -3px;
}

.realAccountContainer {
    background: aliceblue;
    padding: 10px;
    margin: 5px;
    box-shadow: rgba(50, 50, 93, 0.20) 0px 6px 12px -2px, rgba(0, 0, 0, 0.40) 0px 3px 7px -3px;
    border-radius: 10px;
}

.realAccountContainer p{
    max-width: 150px;
    text-overflow: ellipsis;
    overflow: hidden;
    margin:10px;
}

.realAccountContainer .MainBTN {
    width:100%;
}

/* CARD ACCOUNT */

.realAccountCard {
    --main-color: #000;
    --submain-color: #78858F;
    --bg-color: #fff;
    position: relative;
    width: 300px;
    min-width:300px;
    height: 430px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 20px;
    background: var(--bg-color);
    filter: drop-shadow(2px 2px 5px #00000020);

    /* PEUTETRE */
    zoom: 0.8;
}

.realAccountCard__title {
    margin-top: 60px;
    font-weight: 500;
    font-size: 18px;
    color: var(--main-color);
    max-width: 80%;
    text-overflow: ellipsis;
    text-wrap: nowrap;
    overflow: hidden;
}

.realAccountCard__subtitle {
    margin: 10px;
    font-weight: 400;
    font-size: 15px;
    color: var(--submain-color);
}

.realAccountCard__wrapper {
    display: flex; 
    gap: 10px;
}

.smallIcon {
    max-width : 60px;
    max-height : 60px;
    width : 60px;
    height: 60px;
}

/* filter section */

#filters_container {
    flex-direction: column;
    gap: 15px;
    width: 100%;
    overflow: auto;
    display: flex;
}

.filters_container_content {
    display: flex;
    background: #ffffff;
    background: #308fd8;
    border: 2px solid whitesmoke;
    border-radius: 10px;
    padding: 2px;
    overflow: auto;
}

.filters_container_content_child {
    display: flex;
    background: var(--blueback1);
    border-radius: 6px;
    gap: 5px;
    padding: 5px;
    align-items: center;
}

.filters_container_content button {
    background: #ffffff;
    color : var(--blue1);
    white-space: nowrap;
}